About
-----
TARDEF is a format for saving and exchanging data for tasks and related data - like lists and tags - in an easy format. By default, YAML and JSON are supported as file formats by TARDEF, but any format that supports the same kind of structures as YAML / JSON could be used.

Advantages
----------
* Text based: Files can be read and written by humans and also supports versioning files using Git, SVN, etc.
* Extensions: Extensions can be used to add functionality to the TARDEF file that is not supported by the default format.

Usage
-----
The TARDEF repository contains a Ruby library that can be used for accessing the files. There are also schemas following the Kwalify (http://www.kuwata-lab.com/kwalify/) standard that can be used for validating TARDEF files. A ruby tool for doing so is also included.

The validator can be used by calling tardef_validate -f <file> -t <type>

An up-to-date documentation of the library can be found at http://rubydoc.info/github/DevelAppUG/tardef/master/frames.

Schemas
-------
There are several schemas available:

Base schema: http://develapp.moskitapp.com/tardef/schema/v1/tardef.yaml

Reminders extension: http://develapp.moskitapp.com/tardef/schema/v1/extension/reminder.yaml

Location extension: http://develapp.moskitapp.com/tardef/schema/v1/extension/location.yaml

Attachement extension: http://develapp.moskitapp.com/tardef/schema/v1/extension/attachement.yaml
