require 'test/unit'
require 'tardef'

class TestSchemas < Test::Unit::TestCase
  def schemaValidation(file)
    metavalidator = Kwalify::MetaValidator.instance
    parser = Kwalify::Yaml::Parser.new(metavalidator)
    parser.parse_file(file)
    parser.errors
  end
  
  def testBaseSchema
    errors = schemaValidation 'schema/v1/tardef.yaml'
    assert_equal([], errors)
  end
  
  def testReminderSchema
    errors = schemaValidation 'schema/v1/extension/reminder.yaml'
    assert_equal([], errors)
  end

  def testLocationSchema
    errors = schemaValidation 'schema/v1/extension/location.yaml'
    assert_equal([], errors)
  end

  def testAttachementSchema
    errors = schemaValidation 'schema/v1/extension/attachement.yaml'
    assert_equal([], errors)
  end
end